Page MenuHomePhabricator

What did you wish you knew before attending your first Wikimedia Hackathon?
Closed, ResolvedPublic

Description

Work in progress here: https://www.mediawiki.org/wiki/Hackathon_101

Hello! I am trying to put together an FAQ (frequently asked questions) page that hackathon newbies can read before attending their first Wikimedia Hackathon so that they have a good sense of what to expect, how to prepare, etc.
Thank you @Darenwelsh for helping to come up with this idea!

I am going to send an email out to a few first timers from Lyon pointing to this task. It would be really helpful if people would be willing to write in as many specific questions (and even help with the answers if you know them) that they think should be in the FAQ.

Example:
Q: Should I be coming with my own project or will there be projects there for me to work on at the event?
A: Either one! If you have a project you want to work on you can spend the whole event working on it. It can try to recruit people to help and you will have access to other developers to help answer questions and get you started. If you do not have a project to work on there will be plenty of opportunities to learn about other projects and work on them with other developers. If you are a newbie, you do not need to know ahead of time how you will be spending your time.

Q: I am just starting out with MediaWiki, will there be mentorship possibilities or am I expected to come as an expert?
A: Yes, we will have newbie/new comer focused sessions to help you get up to speed. Most of the people who have been around for a while will have a project that they are working on and would be happy for your help.

(these are not perfect questions and answers - they are just a few examples)
Thanks!

Event Timeline

Rfarrand created this task.May 29 2015, 9:09 PM
Rfarrand claimed this task.
Rfarrand raised the priority of this task from to High.
Rfarrand updated the task description. (Show Details)
Rfarrand added subscribers: Qgil, Aklapper, Rfarrand, Darenwelsh.

I understand starting off with a phab task, but I think it would be appropriate to use a wiki page to collaborate on this product ;)

Q: What is the purpose of this hackathon?
A: (please add to and correct this answer as it is just a starting point) This event began as an opportunity for the WMF employees and Wikipedia chapters to meet in person in order to make progress on projects and to get to know their peers better. While this is still true, it has evolved to include volunteers and 3rd party users.

Q: How is this hackathon different than others?
A:

Q: Should my project be something small that I start and complete within the hackathon or can it be a bigger project using the event as a time to make progress?
A: (please add to and correct this answer as it is just a starting point) Either, although the end of the event will include a showcase of projects. These typically focus on small projects completed during the event.

Q: What kinds of projects are appropriate?
A: (please add to and correct this answer as it is just a starting point) Whatever you can imagine! Previous projects have ranged from a "geeky" command-line prompt interface to MediaWiki API to a "silly" tool generating haiku poetry based on the recent changes feed. (add links to previous projects/showcases)

Q: What if I'm not a developer?
A: (please add to and correct this answer as it is just a starting point) One option is to buddy with a developer who would like input from someone else (ideas for user interface, help testing, feedback from a different perspective, bug hunting). There are other opportunities for contributions to the MediaWiki community. Perhaps you could improve MW documentation or help the MW community teams with planning.

Q: How much time will I be spending with my buddy?
A: (please add to and correct this answer as it is just a starting point) This is up to the two of you. Your buddy can introduce you to community members and help you with your project, but feel free to roam around and work with anyone else at the event.

Q: Are there prizes?
A: (please add to and correct this answer as it is just a starting point) This hackathon is focused on volunteerism and community recognition.

That's a good start. I'll keep lurking and add more when my brain fills back up.

@Darenwelsh really helpful, thank you very much!

Rfarrand moved this task from To triage to Doing on the Developer-Advocacy board.Jun 2 2015, 5:27 AM

@Qgil @siebrand @Spage
Please look here and edit away if you don't agree with something, have a way to make it more clear, or have something to add, or even see a typo. I have not completed the page yet - and some questions are left unanswered still (I did not have time!).
If you want an question to be answered but don't see it and don't have the time to answer it - just add it to the list.

I took a lot of @Darenwelsh 's ideas and integrated some new ones.

At least it is a start.

I hope to start putting this as a link at the top of all future hackathon pages, including Mexico City, to help newbies know what they are getting into.

Rfarrand updated the task description. (Show Details)Jun 25 2015, 1:12 AM
Rfarrand set Security to None.
Qgil added a comment.Jun 25 2015, 6:53 AM

I understand starting off with a phab task, but I think it would be appropriate to use a wiki page to collaborate on this product ;)

Agreed. "Edit away" is simpler on a wiki page, and the end result of this task is a wiki page anyway.

@Qgil It is on a wiki! see description... this was just a starting point

Qgil moved this task from Doing to To triage on the Developer-Advocacy board.Jun 28 2015, 9:49 PM
Rfarrand closed this task as Resolved.Jul 24 2015, 6:54 PM

This document (linked in the description) is pretty much finished. If anyone has any suggestions to make it better - please let me know. I will check back after each hackathon to see if anything is missing too.
Closing this task! :)